Skip to main content
`Ctrl`+`K`

# PFViewFromOptions

View a `PF` based on options set in the options database

## Synopsis

    #include "petscpf.h"
    PetscErrorCode PFViewFromOptions(PF A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `PF` context

- obj - Optional object that provides the prefix used to search the options database

- name - command line option

## Note

See `PetscObjectViewFromOptions()` for the variety of viewer options available

## See Also

`PF`, `PFView`, `PetscObjectViewFromOptions()`, `PFCreate()`

## Level

intermediate

## Location

src/vec/pf/interface/pf.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages